using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace ZXDT.CallCenter.BLL
{
    /// <summary>
    /// T_Form_AttributeTypes
    /// </summary>
    public partial class T_Form_AttributeTypes
    {
        private readonly ZXDT.CallCenter.DAL.T_Form_AttributeTypes dal = new ZXDT.CallCenter.DAL.T_Form_AttributeTypes();
        public T_Form_AttributeTypes()
        { }
        #region  Method
        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_TypeId)
        {
            return dal.Exists(F_TypeId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(ZXDT.CallCenter.Model.T_Form_AttributeTypes model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(ZXDT.CallCenter.Model.T_Form_AttributeTypes model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_TypeId)
        {

            return dal.Delete(F_TypeId);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_TypeIdlist)
        {
            return dal.DeleteList(F_TypeIdlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public ZXDT.CallCenter.Model.T_Form_AttributeTypes GetModel(int F_TypeId)
        {

            return dal.GetModel(F_TypeId);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Form_AttributeTypes> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<ZXDT.CallCenter.Model.T_Form_AttributeTypes> DataTableToList(DataTable dt)
        {
            List<ZXDT.CallCenter.Model.T_Form_AttributeTypes> modelList = new List<ZXDT.CallCenter.Model.T_Form_AttributeTypes>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                ZXDT.CallCenter.Model.T_Form_AttributeTypes model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = new ZXDT.CallCenter.Model.T_Form_AttributeTypes();
                    if (dt.Rows[n]["F_TypeId"] != null && dt.Rows[n]["F_TypeId"].ToString() != "")
                    {
                        model.F_TypeId = int.Parse(dt.Rows[n]["F_TypeId"].ToString());
                    }
                    if (dt.Rows[n]["F_TypeName"] != null && dt.Rows[n]["F_TypeName"].ToString() != "")
                    {
                        model.F_TypeName = dt.Rows[n]["F_TypeName"].ToString();
                    }
                    if (dt.Rows[n]["F_DBTypeName"] != null && dt.Rows[n]["F_DBTypeName"].ToString() != "")
                    {
                        model.F_DBTypeName = dt.Rows[n]["F_DBTypeName"].ToString();
                    }
                    if (dt.Rows[n]["F_XMLTypeName"] != null && dt.Rows[n]["F_XMLTypeName"].ToString() != "")
                    {
                        model.F_XMLTypeName = dt.Rows[n]["F_XMLTypeName"].ToString();
                    }
                    if (dt.Rows[n]["F_IsShow"] != null && dt.Rows[n]["F_IsShow"].ToString() != "")
                    {
                        model.F_IsShow = int.Parse(dt.Rows[n]["F_IsShow"].ToString());
                    }
                    if (dt.Rows[n]["F_DefaultLength"] != null && dt.Rows[n]["F_DefaultLength"].ToString() != "")
                    {
                        model.F_DefaultLength = int.Parse(dt.Rows[n]["F_DefaultLength"].ToString());
                    }
                    if (dt.Rows[n]["F_DefaultValue"] != null && dt.Rows[n]["F_DefaultValue"].ToString() != "")
                    {
                        model.F_DefaultValue = dt.Rows[n]["F_DefaultValue"].ToString();
                    }
                    modelList.Add(model);
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  Method
    }
}
